<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class OrderStatusHistory extends AbstractEntity
{
        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\OrderShopInterface", inversedBy="orderStatusHistories")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $orderShop;

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\OrderStatusInterface")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $orderStatus;

        /**
         * @ORM\Column(type="string", length=31)
         */
        protected $origin;

        public function getOrderShop(): ?OrderShop
        {
                return $this->orderShop;
        }

        public function setOrderShop(?OrderShop $orderShop): self
        {
                $this->orderShop = $orderShop;

                return $this;
        }

        public function getOrderStatus(): ?OrderStatus
        {
                return $this->orderStatus;
        }

        public function setOrderStatus(?OrderStatus $orderStatus): self
        {
                $this->orderStatus = $orderStatus;

                return $this;
        }

        public function getOrigin(): ?string
        {
                return $this->origin;
        }

        public function setOrigin(string $origin): self
        {
                $this->origin = $origin;

                return $this;
        }
}
